From: "Slawek Lis" <slis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/wimlib/
Date: Tue, 1 Jan 2019 18:47:41 +0000 (UTC) [thread overview]
Message-ID: <1546368328.4e7bd64df49223405cb0b477530ee4bd8d0f4b53.slis@gentoo> (raw)
commit: 4e7bd64df49223405cb0b477530ee4bd8d0f4b53
Author: Slawomir Lis <slis <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 1 18:45:28 2019 +0000
Commit: Slawek Lis <slis <AT> gentoo <DOT> org>
CommitDate: Tue Jan 1 18:45:28 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e7bd64d
app-arch/wimlib: version bump to 1.13.0
closes: https://bugs.gentoo.org/674262
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Slawek Lis <slis <AT> gentoo.org>
app-arch/wimlib/Manifest | 1 +
app-arch/wimlib/wimlib-1.13.0.ebuild | 68 ++++++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/app-arch/wimlib/Manifest b/app-arch/wimlib/Manifest
index 758e0402156..01df841c87a 100644
--- a/app-arch/wimlib/Manifest
+++ b/app-arch/wimlib/Manifest
@@ -1 +1,2 @@
DIST wimlib-1.12.0.tar.gz 1014508 BLAKE2B d12f4e0b458fe756b74c67f2f643256c44021e0f0c3e2a3a70eb87647c3c6cabd93413917bf8a8c6ab6820860c407f4454454719227f5cbf1a9a81a7bedc1a6e SHA512 0343b37550366f07fd6a6689f4445f390187beddde677f4d6d831c07936d03b613ae95f612ec7a75e978a5e678f33ab766d0f3b3d942886df56e4ef77d4b07b9
+DIST wimlib-1.13.0.tar.gz 1035146 BLAKE2B 305d4bd4a0299c99b537c2bc59c674740239d3fe7c240038f4846849f36046ef587b04643d5a482c876668bf8f9a94a7b45a5e4f12c6d235a579a08c3879acff SHA512 a7ec729dda07b3884a851533a3c9e9db3061d9f6273ec318e40ece3687f4671f66989c07c080fa9cdcf5f01318c5eba7256b58f15f711b3ff14f4eb61c2114cb
diff --git a/app-arch/wimlib/wimlib-1.13.0.ebuild b/app-arch/wimlib/wimlib-1.13.0.ebuild
new file mode 100644
index 00000000000..9db9ef57d01
--- /dev/null
+++ b/app-arch/wimlib/wimlib-1.13.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools pax-utils
+if [[ -z ${PV%%*9999} ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://wimlib.net/${PN}"
+else
+ inherit vcs-snapshot
+ MY_PV="${PV/_/-}"
+ MY_PV="${MY_PV^^}"
+ SRC_URI="https://wimlib.net/downloads/${PN}-${MY_PV}.tar.gz -> ${P}.tar.gz"
+ RESTRICT="primaryuri"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="The open source Windows Imaging (WIM) library"
+HOMEPAGE="https://wimlib.net/"
+
+LICENSE="|| ( GPL-3+ LGPL-3+ ) CC0-1.0"
+SLOT="0"
+IUSE="cpu_flags_x86_ssse3 fuse iso ntfs openssl threads yasm"
+REQUIRED_USE="cpu_flags_x86_ssse3? ( !openssl )"
+
+PATCHES=( "${FILESDIR}/syslinux-path.patch" )
+
+RDEPEND="
+ dev-libs/libxml2:2
+ ntfs? ( sys-fs/ntfs3g )
+ fuse? ( sys-fs/fuse:0 )
+ openssl? ( dev-libs/openssl:0 )
+ iso? (
+ app-arch/cabextract
+ app-cdr/cdrtools
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ cpu_flags_x86_ssse3? (
+ yasm? ( dev-lang/yasm )
+ !yasm? ( dev-lang/nasm )
+ )
+"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_with ntfs ntfs-3g)
+ $(use_with fuse)
+ $(use_enable cpu_flags_x86_ssse3 ssse3-sha1)
+ $(use_with openssl libcrypto)
+ $(use_enable threads multithreaded-compression)
+ )
+ has test ${FEATURES} && myeconfargs+=( --enable-test-support )
+ ac_cv_prog_NASM="$(usex yasm yasm nasm)" \
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ emake
+ pax-mark m "${S}"/.libs/wimlib-imagex
+}
next reply other threads:[~2019-01-01 18:47 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-01-01 18:47 Slawek Lis [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-26 17:29 [gentoo-commits] repo/gentoo:master commit in: app-arch/wimlib/ Mike Gilbert
2024-09-05 19:54 Petr Vaněk
2024-08-31 20:26 Sam James
2024-08-31 20:26 Sam James
2024-08-31 14:49 Petr Vaněk
2023-06-03 16:16 Arthur Zamarin
2023-06-03 16:12 Arthur Zamarin
2023-05-03 8:59 Sam James
2022-04-17 20:05 Sam James
2021-12-05 18:31 Sam James
2021-12-05 4:00 Sam James
2021-09-01 9:38 David Seifert
2021-07-16 6:01 Joonas Niilola
2021-07-16 6:01 Joonas Niilola
2021-07-16 6:01 Joonas Niilola
2021-07-13 6:33 Agostino Sarubbo
2021-07-12 6:35 Agostino Sarubbo
2021-01-19 3:15 Sam James
2021-01-19 3:15 Sam James
2021-01-19 3:15 Sam James
2019-11-02 11:45 Michał Górny
2018-01-17 9:50 Slawek Lis
2018-01-17 9:20 Slawek Lis
2018-01-16 6:55 Slawek Lis
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1546368328.4e7bd64df49223405cb0b477530ee4bd8d0f4b53.slis@gentoo \
--to=slis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox